OpenVDB 12.1.0

Loading...
Searching...
No Matches
RootNode< ChildType >::SameConfiguration< OtherNodeType > Struct Template Reference

SameConfiguration<OtherNodeType>::value is `true` if and only if OtherNodeType is the type of a RootNode whose ChildNodeType has the same configuration as this node's ChildNodeType. More...

`#include <openvdb/tree/RootNode.h>`

## Static Public Attributes
static const bool | value = SameRootConfig<ChildNodeType, OtherNodeType>::value

## Detailed Description

template<typename ChildType>
template<typename OtherNodeType>
struct openvdb::v12_1::tree::RootNode< ChildType >::SameConfiguration< OtherNodeType >

SameConfiguration<OtherNodeType>::value is `true` if and only if OtherNodeType is the type of a RootNode whose ChildNodeType has the same configuration as this node's ChildNodeType.

## Member Data Documentation

## ◆ value

template<typename ChildType>
template<typename OtherNodeType>

const bool value = SameRootConfig<ChildNodeType, OtherNodeType>::value
| static